package com.kms.dto.payment;

import lombok.*;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PaymentStatusBatchResp {

    private String message;
    private PaymentWrapper[] paidList;

    @Getter
    @Setter
    @AllArgsConstructor
    @NoArgsConstructor
    @Builder
    public static class PaymentWrapper {

        private Integer paymentId;
        private Boolean paid;
        private Integer initiatorId;

    }
}
